aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--tools/updater/update_chconf_nil.sh44
-rw-r--r--tools/updater/update_chconf_rt.sh44
-rw-r--r--tools/updater/update_halconf.sh44
3 files changed, 66 insertions, 66 deletions
diff --git a/tools/updater/update_chconf_nil.sh b/tools/updater/update_chconf_nil.sh
index bd4ac0ed8..eab3632e5 100644
--- a/tools/updater/update_chconf_nil.sh
+++ b/tools/updater/update_chconf_nil.sh
@@ -1,22 +1,22 @@
-#!/bin/bash
-if [ $# -eq 0 ]
-then
- find ../.. -name "chconf.h" -exec bash update_chconf_nil.sh "{}" \;
-elif [ $# -eq 1 ]
-then
- if egrep -q "_CHIBIOS_NIL_CONF_" $1
- then
- echo Processing: $1
- cat $1 | egrep -e "\#define\s+[a-zA-Z0-9_]*\s+[a-zA-Z0-9_]" | cut --bytes=9- - | sed 's/ */=/g' > ./values.txt
- if ! fmpp -q -C chconf_nil.fmpp
- then
- echo
- echo "aborted"
- exit 1
- fi
- cp ./chconf.h $1
- rm ./chconf.h ./values.txt
- fi
-else
- echo "illegal number of arguments"
-fi
+#!/bin/bash
+if [ $# -eq 0 ]
+then
+ find ../.. -name "chconf.h" -exec bash update_chconf_nil.sh "{}" \;
+elif [ $# -eq 1 ]
+then
+ if egrep -q "_CHIBIOS_NIL_CONF_" $1
+ then
+ echo Processing: $1
+ cat $1 | egrep -e "\#define\s+[a-zA-Z0-9_]*\s+[a-zA-Z0-9_]" | cut --bytes=9- - | sed 's/ */=/g' > ./values.txt
+ if ! fmpp -q -C chconf_nil.fmpp
+ then
+ echo
+ echo "aborted"
+ exit 1
+ fi
+ cp ./chconf.h $1
+ rm ./chconf.h ./values.txt
+ fi
+else
+ echo "illegal number of arguments"
+fi
diff --git a/tools/updater/update_chconf_rt.sh b/tools/updater/update_chconf_rt.sh
index e39910449..0be538b0a 100644
--- a/tools/updater/update_chconf_rt.sh
+++ b/tools/updater/update_chconf_rt.sh
@@ -1,22 +1,22 @@
-#!/bin/bash
-if [ $# -eq 0 ]
-then
- find ../.. -name "chconf.h" -exec bash update_chconf.sh "{}" \;
-elif [ $# -eq 1 ]
-then
- if egrep -q "_CHIBIOS_RT_CONF_" $1
- then
- echo Processing: $1
- cat $1 | egrep -e "\#define\s+[a-zA-Z0-9_]*\s+[a-zA-Z0-9_]" | cut --bytes=9- - | sed 's/ */=/g' > ./values.txt
- if ! fmpp -q -C chconf_rt.fmpp
- then
- echo
- echo "aborted"
- exit 1
- fi
- cp ./chconf.h $1
- rm ./chconf.h ./values.txt
- fi
-else
- echo "illegal number of arguments"
-fi
+#!/bin/bash
+if [ $# -eq 0 ]
+then
+ find ../.. -name "chconf.h" -exec bash update_chconf_rt.sh "{}" \;
+elif [ $# -eq 1 ]
+then
+ if egrep -q "_CHIBIOS_RT_CONF_" $1
+ then
+ echo Processing: $1
+ cat $1 | egrep -e "\#define\s+[a-zA-Z0-9_]*\s+[a-zA-Z0-9_]" | cut --bytes=9- - | sed 's/ */=/g' > ./values.txt
+ if ! fmpp -q -C chconf_rt.fmpp
+ then
+ echo
+ echo "aborted"
+ exit 1
+ fi
+ cp ./chconf.h $1
+ rm ./chconf.h ./values.txt
+ fi
+else
+ echo "illegal number of arguments"
+fi
diff --git a/tools/updater/update_halconf.sh b/tools/updater/update_halconf.sh
index 86c0eed15..4bc899bd6 100644
--- a/tools/updater/update_halconf.sh
+++ b/tools/updater/update_halconf.sh
@@ -1,22 +1,22 @@
-#!/bin/bash
-if [ $# -eq 0 ]
-then
- find ../.. -name "halconf.h" -exec bash update_halconf.sh "{}" \;
-elif [ $# -eq 1 ]
-then
-# if egrep -q "" $1
-# then
- echo Processing: $1
- cat $1 | egrep -e "\#define\s+[a-zA-Z0-9_]*\s+[a-zA-Z0-9_]" | cut --bytes=9- - | sed 's/ */=/g' > ./values.txt
- if ! fmpp -q -C halconf.fmpp
- then
- echo
- echo "aborted"
- exit 1
- fi
- cp ./halconf.h $1
- rm ./halconf.h ./values.txt
-# fi
-else
- echo "illegal number of arguments"
-fi
+#!/bin/bash
+if [ $# -eq 0 ]
+then
+ find ../.. -name "halconf.h" -exec bash update_halconf.sh "{}" \;
+elif [ $# -eq 1 ]
+then
+# if egrep -q "" $1
+# then
+ echo Processing: $1
+ cat $1 | egrep -e "\#define\s+[a-zA-Z0-9_]*\s+[a-zA-Z0-9_]" | cut --bytes=9- - | sed 's/ */=/g' > ./values.txt
+ if ! fmpp -q -C halconf.fmpp
+ then
+ echo
+ echo "aborted"
+ exit 1
+ fi
+ cp ./halconf.h $1
+ rm ./halconf.h ./values.txt
+# fi
+else
+ echo "illegal number of arguments"
+fi